Steam for Linux > Limited Beta > Konu Detayları
Coucouf 6 Kas 2012 @ 10:58pm
Issue Report: TF2 / HD3850 missing OpenGL extension GL_EXT_texture_sRGB_decode
I’m using the latest available Catalyst (12.6 legacy) for the Mobility Radeon HD 3850 found in my laptop, and can’t launch TF2.
I get a popup : 'Required OpenGL extension "GL_EXT_texture_sRGB_decode" is not supported. Please update your OpenGL driver.'

===================================================================
Processeur :
Fabricant : AuthenticAMD
Vitesse : 2200 MHz
2 processeurs logiques
2 processeurs physiques
HyperThreading : Non pris en charge
FCMOV : Pris en charge
SSE2 : Pris en charge
SSE3 : Pris en charge
SSSE3 : Pris en charge
SSE4a : Non pris en charge
SSE41 : Non pris en charge
SSE42 : Non pris en charge

Réseau :
Vitesse du réseau :

Version Windows :
Ubuntu 12.04.1 LTS (64 bits)
Nom du noyau : Linux
Version du noyau : 3.2.0-33-generic
Éditeur du serveur X : The X.Org Foundation
Version du serveur X : 11103000

Carte vidéo :
Pilote : ATI Technologies Inc. ATI Mobility Radeon HD 3850

Version du pilote : 3.3.11653 Compatibility Profile Context
Profondeur de couleur du bureau : 24 bits par pixel
Taux de rafraîchissement du moniteur : 60 Hz
ID fabricant : 0x1002
ID périphérique : 0x9504
Nombre de moniteurs : 1
Nombre de cartes vidéo logiques : 1
Résolution de l'affichage principal : 1920 x 1200
Résolution du bureau : 1920 x 1200
Taille de l'affichage principal : 14,45" x 9,06" (17,05" diag)
36,7cm x 23,0cm (43,3cm diag)
Mémoire vidéo principale non détecté

Carte son :
Périphérique audio : Realtek ALC1200

Mémoire :
RAM : 3953 Mo

Divers :
Langue de l'interface : Français
Micro : Not set
Espace disque total disponible : 196012 Mo
Plus grand bloc disponible sur le disque dur : 85407 Mo

Logiciel installé :

===================================================================
106 yorumdan 1 ile 15 arası gösteriliyor
< >
Vash 6 Kas 2012 @ 11:29pm 
Ouch, guess you can thank ATi for poor legacy drivers. Their non-legacy Linux drivers were pretty poor too last time I used them.
XDude 6 Kas 2012 @ 11:39pm 
I have the same problem using the Radeon HD 4800, which uses the same legacy driver.
Misuzu 7 Kas 2012 @ 6:05am 
I had this issue with a Radeon HD 6700. I had attempted installing the Ubuntu proprietary drivers but it wouldn't install through the GUI driver tool, so I was able to install them using "sudo apt-get install fglrx fglrx-amdcccle" - however this brought me to this error (hadn't tried with Ubuntu's default open-source drivers, as I expected poor performance from them). So, I uninstalled them with "sudo apt-get remove fglrx fglrx-amdcccle" and installed AMD's proprietary drivers from their website manually.
I have no issues with AMD's proprietary driver but I assume a kernel update from Ubuntu will break said driver. We'll see. If that happens, I know how to fix my system, although I believe rebooting back into the old kernel would workaround the problem.
& I did have some font issues in TF2 afterward but I don't know if it's related to my choice of driver, so I'll be playing around with this a bit more later.
Misuzu 7 Kas 2012 @ 6:10am 
By the way, if you're using the proprietary driver from AMD like me (this isn't the driver recommended). Steam will prompt you when launching games like TF2 to install a better driver, I did not do this as I assume it would put me back where I started with the Ubuntu proprietary driver I'd already tried.
Frank 7 Kas 2012 @ 11:10am 
Misuzu, I created a report (93712) for the issue re Steam recommending a better driver. There might be a way to be 'smarter' in video recommendations.
Coucouf 7 Kas 2012 @ 1:41pm 
Frank, would you know if there are plan for Valve not to require those OpenGL extensions ? I think a new release of a legacy driver with more OpenGL support by AMD is really unlikely.
GeekShadow 7 Kas 2012 @ 4:45pm 
Same issue with HD3850 on Ubuntu 12.04 LTS x86
Tried :
fglrx from Ubuntu <- OpenGL extension GL_EXT_texture_sRGB_decode
fglrx-updates from Ubuntu <- Won't install
Official AMD 12.6 Catalyst Linux installer <- OpenGL extension GL_EXT_texture_sRGB_decode

I know it's AMD fault, but you guys at Steam need to make "pressure" to make them release compatibles drivers for us ! After all it's working good on Windows with latest legacy AMD drivers so why not on Linux ? Or you can release a source engine "light" without some OpenGL restrictions.
Stowelly 8 Kas 2012 @ 3:39am 
Im having the same issue with a 4850! any work arounds using open source drivers or anything?
En son Stowelly tarafından düzenlendi; 8 Kas 2012 @ 8:22am
KingVidalia 8 Kas 2012 @ 6:55am 
i had the same issue with TF2 with the provided drivers from Jockey. Installed the drivers (12.10) directly from AMDs site and issue went away.

https://help.ubuntu.com/community/BinaryDriverHowto/ATI#Installing_upstream_drivers_directly_from_AMD.27s_website

Only difference in their instructions is you need to unzip the driver file from AMD. If you are on legacy AMD cards you may be stuck at 12.8. (I think that's when they cut off the 4xxx and below)
Freyja, The Witch... 8 Kas 2012 @ 11:46am 
I have the same issue too with the provided drivers from jockey : my GC is a Radeon HD6770…

I've uninstalled this blob and try again with Radeon open-source driver, TF2 runs…\o/
Ok, it's slow even with low settings, but its works…
Franz Kafka 9 Kas 2012 @ 12:51am 
Legacy drivers for Mobility Radeon HD 4300/4500 Series. Same issue.
S_Mog 9 Kas 2012 @ 9:15am 
As said here, all chips up to RV770 (Radeon HD 4850/4870, M97, M98) are no longer supported by official Catalyst drivers. So we have to count only on open Radeon drivers, but even with them we can not play TF2, now. So, I think Valve has to work with the open drivers team, or all the old ATi cards wouldn't be able to run anything at all.
S_Mog 9 Kas 2012 @ 9:16am 
XDude 10 Kas 2012 @ 3:28am 
I just installed the drivers straight off of AMD's website and the issue is gone.

But my question is: What is valve official stance on this? Do we as Beta testers need to use Ubuntu's jockey drivers or AMD's drivers? How useful are my issue reports if I'm using AMD's drivers?
S_Mog 11 Kas 2012 @ 7:59am 
XDude tarafından gönderilen ileti:
I just installed the drivers straight off of AMD's website and the issue is gone.

But my question is: What is valve official stance on this? Do we as Beta testers need to use Ubuntu's jockey drivers or AMD's drivers? How useful are my issue reports if I'm using AMD's drivers?
What version of AMD driver did you install? Whit 12.6 legacy didn't work, and the newer versions don't support HD4*** cards. There's something I missed?
106 yorumdan 1 ile 15 arası gösteriliyor
< >
Sayfa başına: 15 30 50